local L = PGFinderLocals

EnRT_PortalKeeperHasabelOptions = CreateFrame("Frame", "EnRT_PortalKeeperHasabelOptionsFrame", InterfaceOptionsFramePanelContainer)
EnRT_PortalKeeperHasabelOptions.name = L.OPTIONS_PORTALKEEPERHASABEL_TITLE
EnRT_PortalKeeperHasabelOptions.parent = "|cFFFFFF00Antorus Modules"
EnRT_PortalKeeperHasabelOptions:Hide()

local title = EnRT_PortalKeeperHasabelOptions:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
title:SetPoint("TOP", 0, -16)
title:SetText(L.OPTIONS_TITLE)
	
local tabinfo = EnRT_PortalKeeperHasabelOptions:CreateFontString(nil, "ARTWORK", "GameFontNormalLarge")
tabinfo:SetPoint("TOPLEFT", 16, -16)
tabinfo:SetText(L.OPTIONS_PORTALKEEPERHASABEL_TITLE)

local author = EnRT_PortalKeeperHasabelOptions:CreateFontString(nil, "ARTWORK", "GameFontNormal")
author:SetPoint("TOPLEFT", 450, -20)
author:SetText(L.OPTIONS_AUTHOR)

local version = EnRT_PortalKeeperHasabelOptions:CreateFontString(nil, "ARTWORK", "GameFontNormal")
version:SetPoint("TOPLEFT", author, "BOTTOMLEFT", 0, -10)
version:SetText(L.OPTIONS_VERSION)

local enabledButton = CreateFrame("CheckButton", "EnRT_PortalKeeperHasabelEnabledCheckButton", EnRT_PortalKeeperHasabelOptions, "OptionsCheckButtonTemplate")
enabledButton:SetSize(26, 26)
enabledButton:SetPoint("TOPLEFT", 30, -90)
enabledButton:HookScript("OnClick", function(self)
	if self:GetChecked() then
		EnRT_PortalKeeperHasabelEnabled = true
		PlaySound(856)
	else
		EnRT_PortalKeeperHasabelEnabled = false
		PlaySound(857)
	end
end)

local enabledText = EnRT_PortalKeeperHasabelOptions:CreateFontString(nil, "ARTWORK", "GameFontHighlight")
enabledText:SetPoint("TOPLEFT", enabledButton, "TOPLEFT", 30, -7)
enabledText:SetText(L.OPTIONS_ENABLED)


EnRT_PortalKeeperHasabelOptions:SetScript("OnShow", function(self)
	enabledButton:SetChecked(EnRT_PortalKeeperHasabelEnabled)
end)

InterfaceOptions_AddCategory(EnRT_PortalKeeperHasabelOptions)